var largeur_contenu_fullscreen=0;var hauteur_contenu_fullscreen=0;function keyupfullscreen(event)
{var touche=window.event?event.keyCode:event.which;if(touche==27)
closefullscreen();}
function closefullscreen()
{$("#fullscreen").hide();largeur_contenu_fullscreen=0;hauteur_contenu_fullscreen=0;chargecontenu("");}
function openfullscreen()
{$("#fullscreen").css('visibility','hidden');$("#fullscreen").show();largeur_contenu_fullscreen=$("#fullscreen #fullscreen_contenu #fullscreen_contenu_contenu").width()+20;hauteur_contenu_fullscreen=$("#fullscreen #fullscreen_contenu #fullscreen_contenu_contenu").height()+20;positionnecontenufullscreen();$("#fullscreen").css('visibility','visible');}
function positionnecontenufullscreen()
{hauteur_fenetre=$(window).height();hauteur_contenu_contenu=hauteur_contenu_fullscreen;largeur_fenetre=$(window).width();largeur_contenu_contenu=largeur_contenu_fullscreen;if((hauteur_contenu_contenu+20)>hauteur_fenetre)
{$("#fullscreen #fullscreen_contenu").css("top","10px");$("#fullscreen #fullscreen_contenu").css("height",(hauteur_fenetre-20)+"px");}
else
{$("#fullscreen #fullscreen_contenu").css("top",((hauteur_fenetre-hauteur_contenu_contenu)/2)+"px");$("#fullscreen #fullscreen_contenu").css("height",hauteur_contenu_contenu+"px");}
if((largeur_contenu_contenu+50)>largeur_fenetre)
{$("#fullscreen #fullscreen_contenu").css("left","25px");$("#fullscreen #fullscreen_contenu").css("width",(largeur_fenetre-50)+"px");}
else
{$("#fullscreen #fullscreen_contenu").css("left",((largeur_fenetre-largeur_contenu_contenu)/2)+"px");$("#fullscreen #fullscreen_contenu").css("width",largeur_contenu_contenu+"px");}
if((hauteur_contenu_contenu+20)>hauteur_fenetre||((largeur_contenu_contenu+50)>largeur_fenetre))
{$("#fullscreen #fullscreen_contenu").css("overflow","auto");}
else
{$("#fullscreen #fullscreen_contenu").css("overflow","hidden");}}
$(window).resize(function(){positionnecontenufullscreen();});function chargecontenu(html)
{$("#fullscreen #fullscreen_contenu #fullscreen_contenu_contenu").html(html);}
function openpicturefullscreen(src)
{var html="<img id=\"img_fullscreen\" src=\""+src+"\"/>";chargecontenu(html);$("#fullscreen #fullscreen_contenu #fullscreen_contenu_contenu #img_fullscreen").load(function(){openfullscreen();});}